%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-atpublic
Version:       4.0
Release:       1mamba
Summary:       This library provides two very simple decorators that document the publicness of the names in your module
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://public.readthedocs.io/en/stable/
Source:        https://pypi.debian.net/atpublic/atpublic-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-pdm-pep517-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n atpublic-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/public
%{python_sitelib}/public/*
%doc LICENSE

%changelog
* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 4.0-1mamba
- automatic version update by autodist

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 3.1.1-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Mon Apr 18 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-1mamba
- package created using the webbuild interface
